Bug 216157 - Pressing the "Escape" key in anaconda causes the action associated with the default button to be executed
Pressing the "Escape" key in anaconda causes the action associated with the d...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: newt (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-17 10:35 EST by Pavel Tsekov
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-05 16:50:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Tsekov 2006-11-17 10:35:27 EST
Description of problem:

If I press Esc in the textmode installer, it behaves like the 
default button was pressed.

How reproducible:

Each time.

Steps to Reproduce:

1. At the boot prompt type "linux text"

2. When the text mode installer shows up press Esc
Actual results:

The installer executes the action associated with the default button i.e.
in most cases it validates the data entered (if any) and moves to the next 

Expected results:

I guess the default action for Esc should be "Back".
Comment 1 Jeremy Katz 2006-11-28 12:49:21 EST
On which screen in particular?
Comment 2 Pavel Tsekov 2006-11-28 15:32:23 EST
As I said above:

After the kernel finishes loading, an the first text installer screen appears. 
In fact it is not anaconda itself but some pre-anaconda script/app.
Comment 3 David Cantrell 2006-12-14 13:58:34 EST
This looks like a problem with newt.  Line 474 in form.c in the newt source does

/* TEST */ newtFormAddHotKey (co, NEWT_KEY_ESCAPE);

Reading the function, it looks like this line should just be removed. 
Reassigning this bug to newt.
Comment 4 Miroslav Lichvar 2007-01-30 10:22:38 EST
F12 key will cause the same problem. Handling return values from newt functions
in anaconda looks like a better solution than disabling all hot keys.
Comment 5 David Cantrell 2007-01-30 14:56:46 EST
Well, F12 is the key we mention at the bottom of the screen in loader as:

<F12> next screen

So that one should cause the same thing.  Since the line above had the comment
TEST next to it, it looked as something that wasn't supposed to be present in newt.

We do check the return values of newt functions when there is one. 
newtRunForm() and newtWinMessage() have void return values.  We use newtForms
for a lot of things.
Comment 6 Miroslav Lichvar 2007-01-31 10:00:14 EST
Ok, fixed in newt-0.52.5-1.fc7.
Comment 7 RHEL Product and Program Management 2007-06-05 16:50:00 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Since this
bugzilla is in a component that is not approved for the current
release, it has been closed with resolution deferred.  You may
reopen this bugzilla for consideration in the next release.

Note You need to log in before you can comment on or make changes to this bug.